MediaWiki:Gadget-site-styles.css:修订间差异

imported>=海豚=
无编辑摘要
imported>=海豚=
无编辑摘要
第74行: 第74行:
     margin-top: 1.13em;
     margin-top: 1.13em;
}
}
/* From wjghj.cn under CC BY-NC-SA 4.0 */
.siteNoticeScroll {
  width: 100%;
  height: 25px;
  line-height: 25px;
  overflow: hidden
}
.siteNoticeScroll li {
  height: 25px;
  list-style: none;
  text-align: center
}
/* 导航菜单样式 */
/* 导航菜单样式 */
nav ul li a {
nav ul li a {
第97行: 第112行:
   display: none !important;
   display: none !important;
}
}
/* 顶部公告 */
/* From wjghj.cn under CC BY-NC-SA 4.0*/
function siteNoticeScroll(obj,interval) {
  $(obj).animate({
    height: 'show',
    paddingTop: 'show',
    marginTop: 'show',
    paddingBottom: 'show',
    marginBottom: 'show',
  });
  setInterval(function() {
    $(obj).find('ul:first').animate({
      marginTop: '-25px'
    },
    300,
    function() {
      $(this).css({
        marginTop: '0px',
      }).find('li:first').appendTo(this);
    });
  },
  interval);
}
siteNoticeScroll('.siteNoticeScroll',5000);
/* 通知样式 */
/* 通知样式 */
.mw-echo-ui-notificationsInboxWidget-toolbarWrapper {
.mw-echo-ui-notificationsInboxWidget-toolbarWrapper {